#ifndef __GRAPHICS_H__
#define __GRAPHICS_H__

#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>
#include "resource.h"

enum _Alignment
{
	Left,Centre,Right
};



typedef enum _Alignment Alignment;

void DrawBitmap(Int x, Int y, Int id);
void SetupGraphics();
void DestroyGraphics();
void SpriteCopy(int srcX,int srcY,int destX,int destY,int width,int height,int op);
void drawChars(char *str,int x,int y,Alignment align,Boolean black);
void ShowScreenArea(void);
void DrawToBuffer(void);
void DrawToScreen(void);

#endif
