#ifndef __TIMETABLE_H__
#define __TIMETABLE_H__

#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>

#include "resource.h"
#include "graphics.h"

#define ShowAbout() ShowMessageDialog(AboutForm)
// to make it easier to show the right form.


// Basic functions needed by the application.
static int StartApplication(void);
static void EventLoop(void);
static void StopApplication(void);
static Boolean FormHandler(EventPtr event);
static int OnPen(int pendown,int x, int y);
static void ShowMessageDialog(Word fid);


// The draw time procedure.
static void draw_time();



#endif
