// Each item we define below needs to have
// A unique number, which allows it to be referred to in the RCP file,
// and in the rest of the C code.

// Buttons used in forms
#define	OKButton				1
#define	CancelButton			2

// The actual Clock form.
#define ClockForm				100
#define fieldID_text			101
#define fieldID_hex				102

// The 'About Clock' form.
#define AboutForm				110
#define AboutFormlabel			111
#define AboutOKButton			112

// The MENU structure : Each additional iteam needs a unique ID.
#define ClockMenu         		200
#define OptionsRegister			221
#define OptionsAbout			222
#define OptionsHelp				223

// An ID for the Graphic that we import from a bitmap.
#define GraphicsBitmap			300

// Some IDs for the alert boxes we could use.
#define AboutAlert				1000
#define NullStringAlert			1001
#define HelpAlert				1002
#define CustomAlert				1003
#define NoDatabaseAlert			1004
#define DeleteBlockAlert		1005
#define NoSelectionAlert		1006
