/*
 * graphics.h
 * Copyright (C) 2003 Daniel R. Thompson
 *
 * This file is part of TZones - A simple world clock for PalmOS
 *
 * TZones is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * TZones is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef TZ_GRAPHICS_H
#define TZ_GRAPHICS_H

void plot(short x, short y, short mode);
void circle(short cx, short cy, short radius, short mode);
void hline(short x1, short x2, short y, short mode);
void fcircle(short cx, short cy, short radius, short mode);
void setEarth(void);
void spinEarth(short num);
void eraseclocks(void);

#endif /* TZ_GRAPHICS_H */
